<template>
  <div class="ui form">
    <div class="grouped fields">
      <label>Saison</label>
      <div class="field">
        <div
          class="ui radio checkbox"
          @click="updateSeason('ANY')"
        >
          <input
            :checked="season === 'ANY'"
            type="radio"
          >
          <label>Toute saison</label>
        </div>
      </div>
      <div class="field">
        <div
          class="ui radio checkbox"
          @click="updateSeason('SUMMER')"
        >
          <input
            :checked="season === 'SUMMER'"
            type="radio"
          >
          <label>Estivale</label>
        </div>
      </div>
      <div class="field">
        <div
          class="ui radio checkbox"
          @click="updateSeason('WINTER')"
        >
          <input
            :checked="season === 'WINTER'"
            type="radio"
          >
          <label>Hivernale</label>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import store from '@/store/Store'

export default {
  name: 'RadioSeason',
  store,
  props: {
    season: String
  },
  methods: {
    updateSeason (place) {
      this.$emit('updateSeason', place)
    }
  }
}
</script>
